<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : lists.xsl
    Created on : March 29, 2016, 11:15 AM
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html>
            <head>
                <title>Seznam kontaktů</title>
            </head>
            <body>
                <xsl:apply-templates select="kontakty/kontakt"/>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="kontakt">
        <p>
            <xsl:number count="kontakt" level="multiple" format="1.1"/>
            <xsl:text> </xsl:text>
            <xsl:value-of select="jmeno"/> 
            <xsl:text> </xsl:text>
            <xsl:value-of select="prijmeni"/>:
            <xsl:apply-templates select="telefon"/>
        </p>
    </xsl:template>
    <xsl:template match="telefon">
       <div>
       <xsl:number count="kontakt" level="multiple" format="1.1."/>
       <xsl:number count="telefon" level="single" format="1"/>
       <xsl:text> </xsl:text>
       <xsl:value-of select="@typ"/>:<xsl:text> </xsl:text>
       <xsl:value-of select="."/>
       <!--<xsl:text> (<xsl:value-of select="@typ"/>) </xsl:text>   -->
       </div>
    </xsl:template>
</xsl:stylesheet>
