<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : sample4.xsl
    Created on : 23. březen 2009, 18:25
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="xml" encoding="utf-8" indent="yes"/>

    <!-- TODO customize transformation rules
         syntax recommendation http://www.w3.org/TR/xslt
    -->
    <xsl:template match="/">
        <contacts>
           <xsl:apply-templates/>
        </contacts>
    </xsl:template>

    <xsl:template match="kontakt">
        <contact>
            <phones>
                <xsl:apply-templates select=".//telefon"/>
            </phones>
        </contact>
    </xsl:template>

    <xsl:template match="telefon">
        <telephone>
            <type><xsl:value-of select="@typ"/></type>
            <number><xsl:value-of select="."/></number>
        </telephone>
    </xsl:template>

</xsl:stylesheet>
